/*
=============== 
Fonts
===============
*/
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;700;900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Merienda&display=swap');
/*
=============== 
Variables
===============
*/

:root {
  --clr-primary: #98644e;
  --clr-primary-light: #feb9a8;
  --clr-grey-1: #473e38;
  --clr-grey-5: #7d842b;
  --clr-grey-10: #f1e0c1;
  --clr-white: #fff;
  --ff-primary: 'Roboto', sans-serif;
  --ff-secondary: 'Roboto', sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(71, 62, 56, 0.1);
  --dark-shadow: 0 5px 15px rgba(71, 62, 56, 0.2);
}

html {
  scroll-behavior: smooth;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* border: 2px solid red; */
}
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-primary);
  background: var(--clr-white);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}
img:not(.nav-logo, .main-img, .modal-img) {
  width: 100%;
  height: 100%;
  display: block;
}

h1,
h2,
h3,
h4 {
  letter-spacing: var(--spacing);
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.5rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 2rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}

/* more global css  */
.btn {
  text-transform: uppercase;
  background: var(--clr-primary);
  color: var(--clr-white);
  padding: 0.375rem 0.75rem;
  letter-spacing: var(--spacing);
  display: inline-block;
  font-weight: 700;
  transition: var(--transition);
  font-size: 0.875rem;
  border: none;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.btn:hover {
  color: var(--clr-primary);
  background: var(--clr-grey-10);
}
.clearfix::after,
.clearfix::before {
  content: '';
  clear: both;
  display: table;
}
.about-title,
.contact-title h3 {
  font-family: var(--ff-secondary);
  color: var(--clr-primary);
}
.about-title,
.contact-section-title {
  margin-bottom: 2rem;
}
.about-title,
.contact-section-title h2 {
  color: var(--clr-grey-1);
}
.title {
  text-align: center;
  color: var(--clr-grey-1);
  padding-bottom: 1rem;
}
.title h3 {
  font-family: var(--ff-secondary);
  color: var(--clr-primary);
}
.title {
  margin-bottom: 2rem;
}
.title h2 {
  color: var(--clr-grey-1);
}
.section-center {
  padding: 4rem 0;
  width: 85vw;
  margin: 0 auto;
  max-width: 1440px;
}
.about-section-center {
  padding: 4rem 0;
  width: 85vw;
  margin: 0 auto;
  max-width: 1440px;
}
@media screen and (min-width: 992px) {
  .section-center {
    width: 95vw;
    padding: 4rem 1rem;
  }
  .about-section-center {
    width: 90vw;
    padding: 4rem 1rem;
  }
}
/*
=============== 
Animation
===============
*/
@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(2);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes slideFromRight {
  0% {
    transform: translateX(1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(-200px);
    opacity: 0.5;
  }
  75% {
    transform: translateX(50px);
    opacity: 0.75;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes slideFromLeft {
  0% {
    transform: translateX(-1000px);
    opacity: 0;
  }
  50% {
    transform: translateX(200px);
    opacity: 0.5;
  }
  75% {
    transform: translateX(-50px);
    opacity: 0.75;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}
@keyframes show {
  0% {
    transform: scale(1.5);
    opacity: 0;
  }
  50% {
    transform: scale(2);
    opacity: 0.5;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}
/*
=============== 
Navbar
===============
*/
nav {
  background: #f1e0c1;
  padding: 1rem 1.5rem;
}
.nav {
  background: var(--clr-white);
}
.links-container {
  height: 0;
  overflow: hidden;
  transition: var(--transition);
}
.nav-center {
  width: 100%;
  max-width: 1170px;
  margin: 0 auto;
}
.nav-header {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
}
.links a {
  list-style-type: none;
  text-transform: capitalize;
  font-size: 1.1rem;
  letter-spacing: var(--spacing);
  display: block;
  padding: 1.3rem;
  transition: var(--transition);
  color: #473e38;
  cursor: pointer;
  height: 0;
  overflow: hidden;
}
.links a:hover {
  color: #9a8a7f;
  padding-left: 1.5rem;
}
.nav-btn {
  background: transparent;
  border: transparent;
  font-size: 1.5rem;
  color: #473e38;
  cursor: pointer;
  transition: var(--transition);
  justify-self: end;
}
.nav-btn:hover {
  transform: scale(1.3);
}

@media screen and (min-width: 830px) {
  nav {
    background: #f1e0c1;
  }
  .links-container {
    height: auto !important;
  }
  .nav-btn {
    display: none;
  }
  .links {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-items: center;
    column-gap: 0rem;
    justify-self: end;
  }
  .links a {
    list-style-type: none;
    text-transform: capitalize;
    letter-spacing: var(--spacing);
    display: inline;
    padding: 1rem 1rem;
    transition: var(--transition);
    color: #473e38;
    cursor: pointer;
    height: 0;
    overflow: hidden;
  }
  .links a:hover {
    color: #9a8a7f;
    padding-left: 1.5rem;
  }
  .nav-center {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
  }
}
/* fixed navbar */
.navbar-fixed {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  box-shadow: var(--dark-shadow);
  background-color: var(--clr-white);
}
.content-divider {
  height: 1.5rem;
  background: linear-gradient(to left, --clr-white, --clr-white);
}
/*
=============== 
Sidebar
===============
*/
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  /* height: 100%; */
  background: var(--clr-white);
  z-index: 4;
  display: grid;
  place-items: center;
  /* transition: var(--transition);*/
  transform: translateX(-100%);
}

/*
=============== 
Hero 
===============
*/

.hero {
  width: 100%;
  background: var(--clr-white);
  /* display: grid;
  grid: repeat(8, 1fr) / repeat(14, 1fr); */
  gap: 25px;
  overflow: hidden;
}

.middle-banner {
  grid-area: 3 / 4 / span 3 / 15;
  background-color: rgba(255, 255, 255, 0.5);
  /* (7)- Aligning the text and svg */
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-left: 0px;
  /* z-index: 50; */
}
.middle-banner h1 {
  text-transform: uppercase;
  margin-bottom: 0;
  color: var(--clr-white);
  text-shadow: 4px 0 2px #33231c;
  font-size: 60px;
  font-weight: 400;
  /* (8)- clippig the text */
  clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
  /* (10)- adding animation  */
  animation: revealRight 4s ease-out 0.5s forwards;
}

/* 
---------------
(9)- Adding cliping animation
---------------
*/

@keyframes revealRight {
  to {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  }
}
/* 
---------------
(2)- Adding left image with hover
---------------
*/
@media screen and (min-width: 830px) {
  .hero {
    width: 100%;
    min-height: calc(100vh - 5rem);
    background: var(--clr-white);
    display: grid;
    grid: repeat(8, 1fr) / repeat(14, 1fr);
    gap: 25px;
    position: relative;
    overflow: hidden;
  }
  left-left,
  right-top,
  right-bottom {
    transition: all 3s ease-in-out;
    overflow: hidden;
  }
  left-left {
    height: 100%;
    grid-area: 1 / 1 / 9 / span 6;
    background: url('../images/jene-stephaniuk-WhXzc_96l6s-unsplash_800.jpeg')
      no-repeat center / 100%;
    transform: translateX(0);
  }

  left-left:hover {
    background: url('../images/venice_800.jpeg') no-repeat center / 140%;
    transform: translateX(25px);
  }
  /* 
---------------
(3)- Adding right-top image with hover
---------------
*/

  right-top {
    grid-area: 1 / 7 / 5 / 15;
    background: url('../images/art-g402893e33_800.jpeg') no-repeat center / 100%;
    transform: translateY(0px);
  }

  right-top:hover {
    background: url('../images/art-g6b5f48573_800.jpeg') no-repeat center / 110%;
    transform: translateY(25px);
  }
}

/* 
---------------
(4)- Adding footer image with hover
---------------
*/

right-bottom {
  grid-area: 5 / 7 / 9 / 15;
  background: url('../images/robert-duncanson-g79d2f45e6_800.jpeg') no-repeat
    center / 100%;
  transform: translateY(0);
}

right-bottom:hover {
  background: url('../images/planets_800.jpeg') no-repeat center / 115%;
  transform: translateY(-25px);
}
.hero-banner {
  text-align: center;
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* =================== OUR LATEST PAINTINGS  =========================== */
.section-latest {
  padding-top: 4rem;
  padding-bottom: 0;
  width: 100%;
  background: var(--clr-grey-10);
  margin: 0 auto;
  max-width: 1440px;
  display: grid;
  grid-template-columns: 1fr;
}
.latest-title {
  margin-top: 0;
  text-align: center;
  color: var(--clr-grey-1);
  padding-bottom: 0;
}
/*
=============== 
About
===============
*/
.about {
  background: var(--clr-grey-10);
}
.about-img,
.about-info {
  padding: 2rem 0;
}
.about-picture-container {
  background: var(--clr-primary);
  /* border: 0.5rem solid var(--clr-primary); */
  max-width: 30rem;
  /* extra stuff */
  overflow: hidden;
}
.about-picture {
  transition: var(--transition);
}
.about-picture-container:hover .about-picture {
  opacity: 0.7;
  transform: scale(1.2);
}
.about-text {
  max-width: 40rem;
  color: #611402;
}
@media screen and (min-width: 992px) {
  .about-img,
  .about-info {
    float: left;
    width: 50%;
  }
  .about-info {
    padding: 2 2 0 2;
  }
}
/* 
  =============
  Landscapes
  =============
*/
.section-landscapes {
  padding-top: 2rem;
  padding-bottom: 0;
  width: 100%;
  background: var(--clr-grey-10);
  margin: 0 auto;
  max-width: 1440px;
  display: grid;
  grid-template-columns: 1fr;
}
.landscapes-title {
  margin-top: 0;
  text-align: center;
  color: var(--clr-grey-1);
  padding-bottom: 0;
}
.landscapes-image {
  margin: 2rem auto;
  transition: var(--transition);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.1); */
}
.landscapes-image:hover {
  transform: scale(1.02);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.3); */
}
.home-abstracts {
  min-height: 100vh;
}
.home-florals {
  min-height: 100vh;
}
.home-landscapes {
  min-height: 100vh;
}
.home-about {
  min-height: 100vh;
}
.abstracts-image {
  margin: 2rem auto;
  transition: var(--transition);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.1); */
}
.abstracts-image:hover {
  transform: scale(1.02);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.3); */
}
.latest-image {
  margin: 2rem auto;
  transition: var(--transition);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.1); */
}
.latest-image:hover {
  transform: scale(1.02);
  /* box-shadow: 0 5px 15px rgba(71, 62, 56, 0.3); */
}

@media screen and (max-width: 829px) {
  .landscapes-img {
    /* border-radius: 0.3rem 0.3rem; */
    object-fit: cover;
    padding-left: 4rem;
    padding-right: 4rem;
    padding-bottom: 2rem;
  }
  .abstracts-img {
    /* border-radius: 0.3rem 0.3rem; */
    object-fit: cover;
    padding-left: 4rem;
    padding-right: 4rem;
    padding-bottom: 2rem;
  }
  .img-latest {
    /* border-radius: 0.3rem 0.3rem; */
    object-fit: cover;
    padding-left: 4rem;
    padding-right: 4rem;
    /* padding-bottom: 2rem; */
  }
  .content-divider {
    display: none;
  }
}
@media screen and (min-width: 830px) {
  .landscapes-center {
    width: 80vw;
    max-width: 1440px;
    margin: 0 auto;
    margin-bottom: 2rem;
  }
  .landscapes-center {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-column-gap: 5rem;
  }
  .landscapes-img {
    /* border-radius: 0.3rem; */
    object-fit: cover;
    /* margin-bottom: 2rem; */
    /* padding-bottom: 2rem; */
  }
  .florals-center {
    width: 80vw;
    max-width: 1440px;
    margin: 0 auto;
    margin-bottom: 2rem;
  }
  .florals-center {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-column-gap: 5rem;
  }
  .abstracts-center {
    width: 80vw;
    max-width: 1440px;
    margin: 0 auto;
    margin-bottom: 2rem;
  }
  .abstracts-center {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-column-gap: 5rem;
  }
  .abstracts-img {
    /* border-radius: 0.3rem; */
    object-fit: cover;
    /* padding-bottom: 2rem; */
    margin-bottom: 2rem;
  }
  .img-latest {
    /* border-radius: 0.3rem; */
    object-fit: cover;
    /* padding-bottom: 2rem; */
  }
}
/* .latest {
  padding: 4rem 2rem 0 2rem;
  background: var(--clr-grey-10);
} */
.latest-center {
  width: 80vw;
  max-width: 1440px;
  margin: 0 auto;
  margin-bottom: 2rem;
}
.latest-center {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  grid-column-gap: 5rem;
}

@media screen and (min-width: 830px) {
  .latest-center {
    margin-top: 2rem;
  }
  .latest-image::before {
    content: '';
    position: absolute;
    border: 0.5rem solid #98644e;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    top: -1.5rem;
    left: -1.5rem;
    /* z-index: -1; */
  }
  .latest-image {
    position: relative;
  }
  .img-latest {
    position: relative;
  }
}

.latest-img {
  position: relative;
}

.latest-img {
  margin-bottom: 2rem;
}
/* .latest-image {
  margin-bottom: 2rem;
} */
.latest-img {
  flex: 0 0 calc(50% - 2rem);
  margin-bottom: 0;
  align-self: center;
}
/* .latest-image {
  flex: 0 0 calc(50% - 2rem);
  margin-bottom: 0;
  align-self: center;
} */
.latest-img {
  border: 0.5rem solid var(--clr-primary);
  max-width: 30rem;
  overflow: hidden;
}
/* .latest-image {
  border: 0.5rem solid var(--clr-primary);
  max-width: 30rem;
  overflow: hidden;
} */
.latest-photo {
  position: relative;
}
.latest-info {
  padding: 1rem;
}
.latest-info h3 {
  display: flex;
  justify-content: center;
}
.card-footer {
  background: var(--darkGrey);
  padding: 0.5rem 1rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-items: center;
}

.card-footer span {
  color: var(--primaryColor);
}

/*
=============== 
Collections
===============
*/
.collections {
  padding: 4rem 2rem 0 2rem;
}
.collections-title {
  text-align: center;
  color: var(--clr-grey-1);
  padding-bottom: 0.5rem;
}
.collection {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr auto;
}
.collections-center {
  width: 80vw;
  max-width: 1440px;
  margin: 2rem auto;
  margin-top: 0;
}
.services-title {
  margin-top: 4rem;
  margin-bottom: -4rem;
  text-align: center;
}
.services-title-contact {
  margin-top: 4rem;
  margin-bottom: -4rem;
  text-align: start;
}
.service-card {
  margin: 2rem 0;
  background: var(--clr-grey-10);
  border-radius: var(--radius);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  transition: var(--transition);
}
.service-card:hover {
  transform: scale(1.02);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}
.service-img {
  height: 17rem;
  object-fit: cover;
  /* border-top-left-radius: var(--radius);
  border-top-right-radius: var(--radius); */
}
.service-info {
  text-align: center;
  padding: 3rem 1rem 2.5rem 1rem;
}
.service-info p {
  max-width: 20rem;
  color: #611402;
  margin: 0 auto;
}
.service-btn {
  font-size: 0.75rem;
  text-transform: capitalize;
  padding: 0.375rem 0.5rem;
  border-radius: var(--radius);
  font-weight: 400;
  margin-top: 1.25rem;
}
@media screen and (min-width: 768px) {
  .collection {
    float: left;
    width: 45%;
    margin-right: 5%;
    /* 100% 45% 90% 5%*/
  }
}
@media screen and (min-width: 992px) {
  .collection {
    width: 30%;
    margin-right: 3.333%;
    /* 100% 30% 3.333%*/
  }
}
.service-img-container {
  position: relative;
  height: 243px;
}

.service_items {
  display: flex;
  justify-content: center;
  text-decoration: none;
  text-align: left;
}
/*
=============== 
Contact Us
===============
*/
.contact {
  background: var(--clr-white);
}
.contact-info {
  margin: 1rem 0;
}
#contact_us-title {
  display: flex;
  justify-content: start;
  padding-left: 2rem;
}

.contact-item {
  margin-bottom: 1.75rem;
}
.contact-title {
  color: var(--clr-primary);
  font-weight: 400;
}
.contact-text {
  text-transform: uppercase;
}

.contact-picture-container {
  background: var(--clr-primary);
  max-width: 30rem;
  border-radius: var(--radius);
  /* extra stuff */
  overflow: hidden;
}

@media screen and (min-width: 992px) {
  .contact-info {
    float: left;
    width: 50%;
  }
  #contact_working-hours {
    padding-left: 2rem;
  }
}
/*
=============== 
Footer
===============
*/
/* .footer {
  background: #140806;
  text-align: center;
} */
.social-icon {
  color: var(--clr-white);
  font-size: 1.5rem;
  margin-right: 1rem;
  transition: var(--transition);
}
.social-icon:hover {
  color: var(--clr-primary);
}
.footer-text {
  display: flex;
  justify-content: center;
  text-align: center;
  /* margin-top: 1.25rem; */
  margin-left: -3rem;
  margin-bottom: 0.5rem;
  text-transform: uppercase;
  color: var(--clr-white);
  font-weight: 400;
}
.company {
  color: var(--clr-white);
}

.footer {
  min-height: 40vh;
  background: linear-gradient(hsla(208, 62%, 45%, 0), rgba(0, 0, 0, 0)),
    url('../images/serg-bataev-pWEFjiRkjDU-unsplash_footer.jpg') center/cover
      no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}
.footer-home {
  min-height: 28vh;
  background: #6c5b54;
  display: flex;
  justify-content: center;
  align-items: center;
}
.social-icons {
  display: flex;
  justify-content: center;
}
.top-link {
  font-size: 1.25rem;
  position: fixed;
  bottom: 3rem;
  right: 3rem;
  background: var(--clr-primary);
  width: 2rem;
  height: 2rem;
  display: grid;
  place-items: center;
  border-radius: var(--radius);
  color: var(--clr-white);
  animation: bounce 2s ease-in-out infinite;
  visibility: hidden;
  z-index: -100;
}

.show-link {
  visibility: visible;
  z-index: 100;
}

/*
=============== 
Modal
===============
*/

.modal {
  position: fixed;
  z-index: -1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(26, 22, 20, 0.9);
  transition: var(--transition);
  opacity: 0;
  min-height: 100vh;
  overflow: scroll;
}
.modal.open {
  opacity: 1;
  z-index: 999;
}
.close-btn {
  position: absolute;
  top: 3rem;
  right: 5rem;
  font-size: 3rem;
  color: var(--clr-white);
  background: transparent;
  border-color: transparent;
  cursor: pointer;
}
.next-btn,
.prev-btn {
  position: absolute;
  top: 9rem;
  transform: translateY(-50%);
  background: transparent;
  font-size: 2rem;
  color: var(--clr-white);
  border-color: transparent;
  cursor: pointer;
}
.prev-btn {
  left: -2.5rem;
}
.next-btn {
  right: -2.5rem;
}

@media screen and (min-width: 455px) {
  .collections-center {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(360px, 1fr));
    grid-column-gap: 2rem;
  }
}
@media screen and (max-width: 767px) {
  .main-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius);
  }
  .modal-content {
    width: 80%;
  }
  .close-btn {
    position: absolute;
    top: 3rem;
    right: 0.5rem;
    font-size: 2rem;
    color: var(--clr-white);
    background: transparent;
    border-color: transparent;
    cursor: pointer;
  }
  .prev-btn {
    left: -2rem;
  }
  .next-btn {
    right: -2rem;
  }
  .footer {
    min-height: 28vh;
    background: #6c5b54;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .footer-text {
    margin-left: -1rem;
  }
}

@media screen and (min-width: 768px) {
  .main-img {
    width: 700px;
    height: 500px;
    object-fit: cover;
    border-radius: var(--radius);
  }
  .prev-btn {
    left: -4rem;
  }
  .next-btn {
    right: -4rem;
  }
  .modal-content {
    width: 700px;
  }
  .next-btn,
  .prev-btn {
    top: 15rem;
  }
}

.modal-content {
  max-width: var(--max-width);
  margin: 0 auto;
  margin-top: 3rem;
  position: relative;
}

.image-name {
  text-align: center;
  margin: 1rem 0 2rem;
  color: var(--clr-white);
}
.modal-images {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
}
.modal-img {
  width: 100%;
  height: 5rem;
  object-fit: cover;
  opacity: 0.5;
  transition: var(--transition);
  cursor: pointer;
}
.modal-img:hover {
  opacity: 1;
}
.modal-img.selected {
  opacity: 1;
}
